/** Questo codice ha lo scopo di illustrare i concetti di
 * - inizializzatore statico
 * - inizializzatore di istanza */

public class T {
	int number;  //variabile d'istanza
	static int counter = 0; //variabile statica (di classe)
	
	//Costruttore (C)
	public T(){
		number = counter;
		System.out.println("C: ");
	}
	
	//Inizializzatore d'istanza (II)
	{
	System.out.println("II: Istanza n. " + ++counter); //Nota l'operatore di incremento preposto
	}
	
	//Inizializzatore statico (IS)
	static {
		System.out.println("IS: Hai generato la prima istanza\n");
	}
	
	/**
	 * Restituisce una rappresentazione testuale dell'oggetto in forma di stringa:
	 *  molto utile ad esempio per le stampe
	 */
	public String toString() {
		return "Istanza n. " + number + " di " + counter;
	}
}
