public class Studente extends Persona { 
    // Studente eredita variabili e metodi da Persona
    
    int matricola;        // Nuova variabile istanza 
    String pianoDiStudio; // Nuova variabile istanza 
    
    // Nuova variabile statica (di classe)
    static int nextMatricola = 1; 
    
    // Costruttore
    public Studente(String nome, String indirizzo) { 
        this.nome = nome;
        this.indirizzo = indirizzo;  
        this.matricola = nextMatricola++; 
        this.pianoDiStudio = ""; 
    } 
    
 // Metodo sovrascritto
    public void visualizza() { 
        System.out.println("Nome studente: " + nome 
                           + "\nIndirizzo: " + indirizzo); 
        System.out.println("Matricola: " + matricola 
                           + "\nPiano di Studio: " + pianoDiStudio + "\n"); 
    } 
    
    // Nuovo metodo 
    public String getPdS() {
        return pianoDiStudio; 
    } 
    
    // Nuovo metodo 
    public void modificaPdS(String nuovoPdS) { 
        pianoDiStudio += nuovoPdS + "\n"; 
    }     

}